- libbson 1.13.1 »
- API Reference »
- Character and String Routines

# bson_strcasecmp()

## Synopsis

    int
    bson_strcasecmp (const char *s1, const char *s2);

## Parameters

- `s1`: A string.
- `s2`: A string.

## Description

A portable version of `strcasecmp()`.

## Returns

Returns a negative integer if s1 sorts lexicographically before s2, a positive integer if it sorts after, or 0 if they are equivalent, after translating both strings to lower case.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.